export const ACTION_TYPE = Object.freeze({
    CREATE_MANUAL_BLACKLIST: 'create_manual_blacklist',
    CANCEL_MANUAL_BLACKLIST: 'cancel_manual_blacklist',
    CANCEL_AUTOMATIC_BLACKLIST_CLOSE: 'cancel_automatic_blacklist_close',
    CANCEL_AUTOMATIC_BLACKLIST_DONT_CLOSE: 'cancel_automatic_blacklist_dont_close',
})

export const AUCTION_ACCESS_TOKEN = 'auction_token'

export const DATE_RANGE = Object.freeze({
    CURRENT_DAY: 'current_day',
    PAST_DAY: 'past_day',
    CURRENT_WEEK: 'current_week',
    PAST_WEEK: 'past_week',
    CURRENT_MONTH: 'current_month',
    PAST_MONTH: 'past_month',
    PAST_6_MONTHS: 'past_6_months',
})

export const AUCTION_STATUS = Object.freeze({
    PENDING_PAYMENT: 'pending_payment',
    PENDING_REGISTRATION: 'pending_registration',
    PENDING_PENALTY: 'pending_penalty',
    PAID_PENALTY: 'paid_penalty',
    NOT_REGISTERED: 'not_registered',
    REGISTERED: 'registered',
    FINISHED_NOT_PAID: 'finished_not_paid',
    FINISHED_SUCCESS: 'finished_success',
    FINISHED_NOT_TAKEN: 'finished_not_taken',
})
